@echo off
if %1 == "" goto end

set pdftk=%~d0%~p0\pdftk\pdftk.exe
set generate=%~d0%~p0\labeling\generate-labeling-pdf.exe
set multistamp=%~d0%~p0\labeling\labeling.pdf
set data=%~d0%~p0\labeling\labeling.txt
%~d1
cd %~p1
set output=%~d1%~p1%~n1-bates%~x1

rem ##### dump pdf data to so generate can determine number of pages #####
"%pdftk%" %1 dump_data > "%data%"

rem ##### generate labeling pdf to overlay #####
"%generate%" "%data%" "%multistamp%"
"%pdftk%" "%multistamp%" output "%multistamp%-compressed" compress
move "%multistamp%-compressed" "%multistamp%" >NUL

rem ##### overlay labeling pdf on input pdf #####
"%pdftk%" %1 multistamp "%multistamp%" output "%output%"

:end
pause
